VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL Interrupt
        SIGNAL Interrupt_ack
        SIGNAL Clk
        SIGNAL XLXN_6(7:0)
        SIGNAL XLXN_10
        SIGNAL XLXN_11
        SIGNAL Sw(7:0)
        SIGNAL Ld(7:0)
        SIGNAL Segm(1:8)
        SIGNAL An(3:0)
        SIGNAL XLXN_25(7:0)
        SIGNAL XLXN_26(7:0)
        SIGNAL Btn(3:0)
        SIGNAL XLXN_27(7:0)
        PORT Input Clk
        PORT Input Sw(7:0)
        PORT Output Ld(7:0)
        PORT Output Segm(1:8)
        PORT Output An(3:0)
        PORT Input Btn(3:0)
        BEGIN BLOCKDEF PicoBlaze_System1
            TIMESTAMP 2007 11 14 13 55 17
            RECTANGLE N 64 -396 368 0 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 64 -368 0 -368 
            RECTANGLE N 368 -108 432 -84 
            LINE N 368 -96 432 -96 
            RECTANGLE N 368 -44 432 -20 
            LINE N 368 -32 432 -32 
            LINE N 368 -368 432 -368 
            LINE N 368 -304 432 -304 
            LINE N 64 -192 0 -192 
            LINE N 368 -192 432 -192 
        END BLOCKDEF
        BEGIN BLOCKDEF Timer
            TIMESTAMP 2008 11 11 10 53 16
            RECTANGLE N 0 20 64 44 
            LINE N 64 32 0 32 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
            RECTANGLE N 64 -128 320 64 
        END BLOCKDEF
        BEGIN BLOCKDEF IO_Module1
            TIMESTAMP 2008 11 12 13 43 20
            RECTANGLE N 0 20 64 44 
            LINE N 64 32 0 32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -396 384 -372 
            LINE N 320 -384 384 -384 
            RECTANGLE N 320 -300 384 -276 
            LINE N 320 -288 384 -288 
            LINE N 64 -400 0 -400 
            LINE N 64 -320 0 -320 
            LINE N 64 -256 0 -256 
            RECTANGLE N 0 -204 64 -180 
            LINE N 64 -192 0 -192 
            RECTANGLE N 0 -140 64 -116 
            LINE N 64 -128 0 -128 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 164 384 188 
            LINE N 320 176 384 176 
            RECTANGLE N 64 -444 320 212 
            RECTANGLE N 320 100 384 124 
            LINE N 320 112 384 112 
        END BLOCKDEF
        BEGIN BLOCK U1 PicoBlaze_System1
            PIN in_port(7:0) XLXN_6(7:0)
            PIN Clk Clk
            PIN port_id(7:0) XLXN_25(7:0)
            PIN out_port(7:0) XLXN_26(7:0)
            PIN write_strobe XLXN_10
            PIN read_strobe XLXN_11
            PIN interrupt Interrupt
            PIN interrupt_ack Interrupt_ack
        END BLOCK
        BEGIN BLOCK U2 Timer
            PIN Clk Clk
            PIN interrupt_ack Interrupt_ack
            PIN interrupt Interrupt
            PIN T_Scale(7:0) XLXN_27(7:0)
        END BLOCK
        BEGIN BLOCK U3 IO_Module1
            PIN Clk Clk
            PIN Write_strobe XLXN_10
            PIN Read_strobe XLXN_11
            PIN out_port(7:0) XLXN_26(7:0)
            PIN Port_ID(7:0) XLXN_25(7:0)
            PIN Sw(7:0) Sw(7:0)
            PIN Btn(3:0) Btn(3:0)
            PIN Led(7:0) Ld(7:0)
            PIN in_port(7:0) XLXN_6(7:0)
            PIN Segm(1:8) Segm(1:8)
            PIN An(3:0) An(3:0)
            PIN Timer_Scale(7:0) XLXN_27(7:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH Interrupt_ack
            WIRE 1792 1040 1824 1040
            WIRE 1824 1040 1888 1040
            BEGIN DISPLAY 1824 1040 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE U2 928 1136 R0
        END INSTANCE
        BEGIN BRANCH Interrupt_ack
            WIRE 832 1104 928 1104
            BEGIN DISPLAY 832 1104 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 832 1040 896 1040
            WIRE 896 1040 928 1040
            WIRE 896 720 2016 720
            WIRE 2016 720 2016 928
            WIRE 2016 928 2032 928
            WIRE 896 720 896 864
            WIRE 896 864 896 1040
            WIRE 896 864 1360 864
        END BRANCH
        BEGIN BRANCH Sw(7:0)
            WIRE 1952 1296 2032 1296
        END BRANCH
        IOMARKER 832 1040 Clk R180 28
        BEGIN BRANCH Ld(7:0)
            WIRE 2416 1296 2480 1296
        END BRANCH
        BEGIN BRANCH Segm(1:8)
            WIRE 2416 944 2480 944
        END BRANCH
        BEGIN BRANCH An(3:0)
            WIRE 2416 1040 2480 1040
        END BRANCH
        BEGIN BRANCH XLXN_25(7:0)
            WIRE 1792 1136 2032 1136
        END BRANCH
        BEGIN BRANCH XLXN_26(7:0)
            WIRE 1792 1200 2032 1200
        END BRANCH
        BEGIN INSTANCE U3 2032 1328 R0
        END INSTANCE
        BEGIN BRANCH XLXN_11
            WIRE 1792 928 1936 928
            WIRE 1936 928 1936 1072
            WIRE 1936 1072 2032 1072
        END BRANCH
        BEGIN BRANCH XLXN_10
            WIRE 1792 864 1984 864
            WIRE 1984 864 1984 1008
            WIRE 1984 1008 2032 1008
        END BRANCH
        BEGIN BRANCH XLXN_6(7:0)
            WIRE 1296 1200 1360 1200
            WIRE 1296 1200 1296 1568
            WIRE 1296 1568 2464 1568
            WIRE 2416 1504 2464 1504
            WIRE 2464 1504 2464 1568
        END BRANCH
        BEGIN BRANCH Interrupt
            WIRE 1312 1040 1360 1040
        END BRANCH
        BEGIN INSTANCE U1 1360 1232 R0
        END INSTANCE
        IOMARKER 2480 944 Segm(1:8) R0 28
        IOMARKER 2480 1040 An(3:0) R0 28
        IOMARKER 2480 1296 Ld(7:0) R0 28
        IOMARKER 1952 1296 Sw(7:0) R180 28
        BEGIN BRANCH Btn(3:0)
            WIRE 1952 1360 2032 1360
        END BRANCH
        IOMARKER 1952 1360 Btn(3:0) R180 28
        BEGIN DISPLAY 1404 636 TEXT PicoBlaze_System2
            FONT 64 "Arial"
            TEXTCOLOR 0 0 255
        END DISPLAY
        BEGIN BRANCH XLXN_27(7:0)
            WIRE 848 1168 928 1168
            WIRE 848 1168 848 1600
            WIRE 848 1600 2496 1600
            WIRE 2416 1440 2496 1440
            WIRE 2496 1440 2496 1600
        END BRANCH
    END SHEET
END SCHEMATIC
