--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 9.2.03i
--  \   \         Application : sch2vhdl
--  /   /         Filename : PicoBlaze_System2.vhf
-- /___/   /\     Timestamp : 11/14/2007 22:45:54
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx92i\bin\nt\sch2vhdl.exe -intstyle ise -family spartan3e -flat -suppress -w D:/BASYS_PROJECTS/PicoBlaze_Demos/PicoBlaze_Demo2/PicoBlaze_System2.sch PicoBlaze_System2.vhf
--Design Name: PicoBlaze_System2
--Device: spartan3e
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity PicoBlaze_System2 is
   port ( Btn  : in    std_logic_vector (3 downto 0); 
          Clk  : in    std_logic; 
          Sw   : in    std_logic_vector (7 downto 0); 
          An   : out   std_logic_vector (3 downto 0); 
          Ld   : out   std_logic_vector (7 downto 0); 
          Segm : out   std_logic_vector (1 to 8));
end PicoBlaze_System2;

architecture BEHAVIORAL of PicoBlaze_System2 is
   signal Interrupt     : std_logic;
   signal Interrupt_ack : std_logic;
   signal XLXN_6        : std_logic_vector (7 downto 0);
   signal XLXN_10       : std_logic;
   signal XLXN_11       : std_logic;
   signal XLXN_25       : std_logic_vector (7 downto 0);
   signal XLXN_26       : std_logic_vector (7 downto 0);
   component PicoBlaze_System1
      port ( in_port       : in    std_logic_vector (7 downto 0); 
             Clk           : in    std_logic; 
             port_id       : out   std_logic_vector (7 downto 0); 
             out_port      : out   std_logic_vector (7 downto 0); 
             write_strobe  : out   std_logic; 
             read_strobe   : out   std_logic; 
             interrupt     : in    std_logic; 
             interrupt_ack : out   std_logic);
   end component;
   
   component Timer
      port ( Clk           : in    std_logic; 
             interrupt_ack : in    std_logic; 
             interrupt     : out   std_logic);
   end component;
   
   component IO_Module1
      port ( Sw           : in    std_logic_vector (7 downto 0); 
             Btn          : in    std_logic_vector (3 downto 0); 
             in_port      : out   std_logic_vector (7 downto 0); 
             Segm         : out   std_logic_vector (1 to 8); 
             An           : out   std_logic_vector (3 downto 0); 
             Clk          : in    std_logic; 
             Write_strobe : in    std_logic; 
             Read_strobe  : in    std_logic; 
             Port_ID      : in    std_logic_vector (7 downto 0); 
             out_port     : in    std_logic_vector (7 downto 0); 
             Led          : out   std_logic_vector (7 downto 0));
   end component;
   
begin
   U1 : PicoBlaze_System1
      port map (Clk=>Clk,
                interrupt=>Interrupt,
                in_port(7 downto 0)=>XLXN_6(7 downto 0),
                interrupt_ack=>Interrupt_ack,
                out_port(7 downto 0)=>XLXN_26(7 downto 0),
                port_id(7 downto 0)=>XLXN_25(7 downto 0),
                read_strobe=>XLXN_11,
                write_strobe=>XLXN_10);
   
   U2 : Timer
      port map (Clk=>Clk,
                interrupt_ack=>Interrupt_ack,
                interrupt=>Interrupt);
   
   U3 : IO_Module1
      port map (Btn(3 downto 0)=>Btn(3 downto 0),
                Clk=>Clk,
                out_port(7 downto 0)=>XLXN_26(7 downto 0),
                Port_ID(7 downto 0)=>XLXN_25(7 downto 0),
                Read_strobe=>XLXN_11,
                Sw(7 downto 0)=>Sw(7 downto 0),
                Write_strobe=>XLXN_10,
                An(3 downto 0)=>An(3 downto 0),
                in_port(7 downto 0)=>XLXN_6(7 downto 0),
                Led(7 downto 0)=>Ld(7 downto 0),
                Segm(1 to 8)=>Segm(1 to 8));
   
end BEHAVIORAL;


